#include <stdio.h>
#include <stdlib.h>

union Num {
    unsigned A:4;
    unsigned B:8;
    unsigned C:16;
} Number; // asagidaki ifade yerine kullanilabilir. Birbirlerinin alternatifleridirler.

//union Num Number;

int main()
{
    Number.C=0x13AF; //16bits

    printf("%d  %d  %d\n",Number.A,Number.B,Number.C);
            //Values:          F      AF      13AF
    printf("%x  %x  %x\n",Number.A,Number.B,Number.C);
    printf("%X  %X  %X\n",Number.A,Number.B,Number.C);

    return 0;
}
